<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCcmExternalIpMap StructType
 * @subpackage Structs
 */
class XCcmExternalIpMap extends AbstractStructBase
{
    /**
     * The callManagerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $callManagerName;
    /**
     * The ipAddressHost
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipAddressHost;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: 5060
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * Constructor method for XCcmExternalIpMap
     * @uses XCcmExternalIpMap::setCallManagerName()
     * @uses XCcmExternalIpMap::setIpAddressHost()
     * @uses XCcmExternalIpMap::setPort()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName
     * @param string $ipAddressHost
     * @param string $port
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName = null, $ipAddressHost = null, $port = '5060')
    {
        $this
            ->setCallManagerName($callManagerName)
            ->setIpAddressHost($ipAddressHost)
            ->setPort($port);
    }
    /**
     * Get callManagerName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCallManagerName()
    {
        return $this->callManagerName;
    }
    /**
     * Set callManagerName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcmExternalIpMap
     */
    public function setCallManagerName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName = null)
    {
        $this->callManagerName = $callManagerName;
        return $this;
    }
    /**
     * Get ipAddressHost value
     * @return string|null
     */
    public function getIpAddressHost()
    {
        return $this->ipAddressHost;
    }
    /**
     * Set ipAddressHost value
     * @param string $ipAddressHost
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcmExternalIpMap
     */
    public function setIpAddressHost($ipAddressHost = null)
    {
        $this->ipAddressHost = $ipAddressHost;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcmExternalIpMap
     */
    public function setPort($port = '5060')
    {
        $this->port = $port;
        return $this;
    }
}
